### Signal

# WebKit WebInspector::attach

#### Declaration

    gboolean
    attach (
      WebKitWebInspector* self,
      gpointer user_data
    )

#### Description [src]

Emitted when the inspector is requested to be attached to the window where the inspected web view is. If this signal is not handled the inspector view will be automatically attached to the inspected view, so you only need to handle this signal if you want to attach the inspector view yourself (for example, to add the inspector view to a browser tab).

To prevent the inspector view from being attached you can connect to this signal and simply return `TRUE`.

Default handler: | The default handler is called after the handlers added via `g_signal_connect()`.

#### Return value

Returns: | `gboolean`
| `TRUE` to stop other handlers from being invoked for the event. `FALSE` to propagate the event further.